/**
 * Global
 */

header .logo {
    color: var(--tblr-secondary);
    display: flex;
    align-items: center;
    justify-content: center;
    gap: .5rem;
    font-weight: 300;
    height: 2rem;
    text-decoration: none;
}

header .logo img {
    height: 100%;
}

h1, h2, h3, h4, h5, h6 {
    font-weight: 300;
}

.page-title {
    font-weight: 300;
}

.card-header,
.card-body {
    padding-left: 1rem;
    padding-right: 1rem;
}

.card-header-tabs {
    margin: -1rem;
}

.card-header-tabs h3 {
    margin: 0;
}

table.dataTable {
    min-width: 100%;
    width: max-content !important;
}

table.dataTable i.mask {
    color: var(--tblr-secondary);
    font-style: italic;
}

table.dataTable th {
    padding: .5rem;
}

table.dataTable td,
table.dataTable td .btn,
table.dataTable td .dropdown-item {
    font-size: .725rem;
    padding: .5rem;
}

table.dataTable tr {
    position: relative;
}

table.dataTable tr th:first-child,
table.dataTable tr td:first-child,
table.dataTable tr th:last-child,
table.dataTable tr td:last-child {
    padding: .5rem 1rem;
}

table.dataTable tbody tr td.dataTables_empty {
    padding: 1rem;
    text-align: center;
}

table.dataTable tbody tr.selected,
table.dataTable tbody tr.selected > .dtfc-fixed-left,
table.dataTable tbody tr.selected > .dtfc-fixed-right {
    background: var(--tblr-azure-lt);
    border-bottom-width: var(--tblr-border-width);
    border-bottom-style: var(--tblr-border-style);
}

a.d-flex {
    text-decoration: none;
}

a:hover .avatar {
    --tblr-avatar-shadow: inset var(--tblr-secondary) 0 0 0 1px;
}

button.input-icon-addon {
    background: none;
    border: 0;
}

button.input-icon-addon[type="submit"] {
    pointer-events: auto;
}


/**
 * Pages
 */
body.home .sticky-top {
    position: fixed;
    left: 0;
    right: 0;
}

body.home.top .sticky-top .navbar {
    background: transparent;
    box-shadow: none;
    transition: background-color .3s, box-shadow .3s;
}

body.home.top .sticky-top .navbar-brand .logo,
body.home.top .sticky-top .navbar-toggler,
body.home.top .sticky-top .nav-link-icon,
body.home.top .sticky-top .nav-link {
    color: white;
}

body.home.top .sticky-top .order-md-last {
    display: none;
}

body.home .page-body {
    margin-top: 0;
}

body.home h2 {
    color: var(--tblr-primary);
}

body.home .page-wrapper > .info {
    background: url(/images/bg.jpeg) no-repeat center center;
    background-size: 100% auto;
    min-height: 30rem;
    position: relative;
}

body.home .page-wrapper > .info:before {
    background: linear-gradient(to bottom, rgba(var(--tblr-body-bg-rgb), 0.5), rgba(var(--tblr-body-bg-rgb), 1));
    content: '';
    display: block;
    height: 100%;
    left: 0;
    position: absolute;
    top: 0;
    width: 100%;
}

body.home .page-wrapper > .page-body .card {
    min-height: 20rem;
}

body.login .card-body,
body.register .card-body {
    padding: 1rem;
}

body.login h1 a,
body.register h1 a {
    text-decoration: none;
}

body.login h1 img,
body.register h1 img {
    height: 3rem;
}
